<template>
  <div class="inline-16">
    <el-popconfirm title="确定通过审核吗？" @confirm="CheckRow()">
      <el-button type="primary" slot="reference" :disabled="isEdit()" size="mini">审 核</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  inject:['isEdit'],
  props: ['rowData'],
  methods: {
    async CheckRow() {
      let res = await this.$api.requested({
        "id": 20221025094304,
        "content": {
            "sa_itempriceadjustid":this.rowData.sa_itempriceadjustid
        },
      })
      this.tool.showMessage(res,() => {
        this.$emit('checkSuccess')
      })
    },
  },
}

</script>
